Page MenuHomePhabricator

STVTallierTest::testFinishTally() fails under PHP 8.0 and later
Closed, ResolvedPublic

Description

Status 2022-12-06: Test temporarily skipped under PHP 8+, but test must be examined and fixed before we can migrate production.


The now voting (T300463) php80 and php81 tests failing for SecurePoll on different patch sets

Example:
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SecurePoll/+/817867
https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php80-noselenium-docker/3619/console
https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php81-noselenium-docker/440/console

There were 2 failures:

1) MediaWiki\Extension\SecurePoll\Test\Unit\STVTallierTest::testFinishTally with data set #1 (array(1, array('1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20'), array(array(1000, array(252)), array(1000, array(250)), array(1000, array(253)), array(1000, array(249)), array(1000, array(251)))), array(array(), array(262, 267, 266, 265, 264, 263, 259, 261, 260, 258, 257, 256, 255, 254, 268, 249, 251, 252, 253, 250), array(array(1, 0, array(array(0, 1000, 1000), array(0, 1000, 1000), array(0, 1000, 1000), array(0, 1000, 1000), array(0, 1000, 1000), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 5000, array(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1), 2500.000001, array(), array()), array(2, array(), array(262, 267, 266, 265, 264, 263, 259, 261, 260, 258, 257, 256, 255, 254, 268), 0, array(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1), 2500.000001, array(array(1000, 0, 1000), array(1000, 0, 1000), array(1000, 0, 1000), array(1000, 0, 1000), array(1000, 0, 1000), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 5000), array(3, array(), array(249, 251, 252, 253, 250), 0, array(1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 2500.000001, array(array(1000, 0, 1000), array(1000, 0, 1000), array(1000, 0, 1000), array(1000, 0, 1000), array(1000, 0, 1000), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 5000))))
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
 Array (
     0 => Array ()
     1 => Array (
-        0 => 262
-        1 => 267
-        2 => 266
-        3 => 265
-        4 => 264
-        5 => 263
-        6 => 259
+        0 => 254
+        1 => 255
+        2 => 256
+        3 => 257
+        4 => 258
+        5 => 259
+        6 => 260
         7 => 261
-        8 => 260
-        9 => 258
-        10 => 257
-        11 => 256
-        12 => 255
-        13 => 254
+        8 => 262
+        9 => 263
+        10 => 264
+        11 => 265
+        12 => 266
+        13 => 267
         14 => 268
         15 => 249
-        16 => 251
-        17 => 252
-        18 => 253
-        19 => 250
+        16 => 250
+        17 => 251
+        18 => 252
+        19 => 253
     )
     2 => Array (
         0 => Array (...)
@@ @@
             'round' => 2
             'elected' => Array ()
             'eliminated' => Array (
-                0 => 262
-                1 => 267
-                2 => 266
-                3 => 265
-                4 => 264
-                5 => 263
-                6 => 259
+                0 => 254
+                1 => 255
+                2 => 256
+                3 => 257
+                4 => 258
+                5 => 259
+                6 => 260
                 7 => 261
-                8 => 260
-                9 => 258
-                10 => 257
-                11 => 256
-                12 => 255
-                13 => 254
+                8 => 262
+                9 => 263
+                10 => 264
+                11 => 265
+                12 => 266
+                13 => 267
                 14 => 268
             )
             'surplus' => 0
@@ @@
             'elected' => Array ()
             'eliminated' => Array (
                 0 => 249
-                1 => 251
-                2 => 252
-                3 => 253
-                4 => 250
+                1 => 250
+                2 => 251
+                3 => 252
+                4 => 253
             )
             'surplus' => 0
             'keepFactors' => Array (...)

/workspace/src/tests/phpunit/MediaWikiTestCaseTrait.php:229
/workspace/src/extensions/SecurePoll/tests/phpunit/unit/STVTallierTest.php:144
/workspace/src/tests/phpunit/MediaWikiUnitTestCase.php:116

2) MediaWiki\Extension\SecurePoll\Test\Unit\STVTallierTest::testFinishTally with data set #2 (array(4, array('"1"', '"2"', '"3"', '"4"', '"5"', '"6"', '"7"', '"8"', '"9"', '"10"', '"11"', '"12"', '"13"', '"14"', '"15"', '"16"', '"17"', '"18"', '"19"', '"20"'), array(array(256, array(990)), array(256, array(992)), array(258, array(986)), array(256, array(996)), array(256, array(991)), array(200, array(1002, 1003)), array(256, array(999)), array(200, array(1003, 1002)), array(256, array(997)), array(256, array(989)), array(256, array(1000)), array(256, array(994)), array(256, array(995)), array(257, array(987)), array(256, array(998)), array(256, array(1001)), array(256, array(993)), array(300, array(984)), array(300, array(985)), array(257, array(988)))), array(array(984, 985, 986), array(1002, 1003, 996, 1001, 1000, 999, 998, 997, 994, 995, 993, 992, 991, 990, 989, 987, 988), array(array(1, 0, array(array(0, 300, 300), array(0, 300, 300), array(0, 258, 258), array(0, 257, 257), array(0, 257, 257), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 256, 256), array(0, 200, 200), array(0, 200, 200)), 5100, array(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1), 1020.000001, array(), array()), array(2, array(), array(1002, 1003), 0, array(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1), 1020.000001, array(array(300, 0, 300), array(300, 0, 300), array(258, 0, 258), array(257, 0, 257), array(257, 0, 257), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(200, 0, 200), array(200, 0, 200)), 5100), array(3, array(), array(996, 1001, 1000, 999, 998, 997, 994, 995, 993, 992, 991, 990, 989), 0, array(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0), 940.000001, array(array(300, 0, 300), array(300, 0, 300), array(258, 0, 258), array(257, 0, 257), array(257, 0, 257), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(256, 0, 256), array(200, -200, 0), array(200, -200, 0)), 4700), array(4, array(984, 985), array(), 51.19999800000005, array(1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 274.400001, array(array(300, 0, 300), array(300, 0, 300), array(258, 0, 258), array(257, 0, 257), array(257, 0, 257), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(256, -256, 0), array(0, 0, 0), array(0, 0, 0)), 1372), array(5, array(), array(), 20.479999199999952, array(0.9146666699999999, 0.9146666699999999, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 264.1600014, array(array(300, -25.599999000000025, 274.400001), array(300, -25.599999000000025, 274.400001), array(258, 0, 258), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1320.800002), array(6, array(), array(), 8.19199967999998, array(0.880533338, 0.880533338, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 260.06400156, array(array(274.400001, -10.239999599999976, 264.1600014), array(274.400001, -10.239999599999976, 264.1600014), array(258, 0, 258), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1300.3200028), array(7, array(), array(), 3.2767998720000833, array(0.8668800052, 0.8668800052, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 258.42560162399997, array(array(264.1600014, -4.09599983999999, 260.06400156), array(264.1600014, -4.09599983999999, 260.06400156), array(258, 0, 258), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1292.12800312), array(8, array(986), array(), 1.5404782992001174, array(0.8614186720799999, 0.8614186720799999, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.77024164959994, array(array(260.06400156, -1.6383999360000416, 258.42560162399997), array(260.06400156, -1.6383999360000416, 258.42560162399997), array(258, 0, 258), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1288.8512032479998), array(9, array(), array(), 0.924286979519934, array(0.8592341388319998, 0.8592341388319998, 0.9991094637581392, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.46214598975996, array(array(258.42560162399997, -0.655359974400028, 257.77024164959994), array(258.42560162399997, -0.655359974400028, 257.77024164959994), array(258, -0.22975835040006132, 257.77024164959994), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1287.3107249487998), array(10, array(), array(), 0.5545721877119263, array(0.8582071532991999, 0.8582071532991999, 0.9979152945339533, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.277288593856, array(array(257.77024164959994, -0.308095659839978, 257.46214598975996), array(257.77024164959994, -0.308095659839978, 257.46214598975996), array(257.77024164959994, -0.308095659839978, 257.46214598975996), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1286.38643796928), array(11, array(), array(), 0.3327433126272581, array(0.85759096197952, 0.85759096197952, 0.9971987929994418, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.16637415631357, array(array(257.46214598975996, -0.18485739590397543, 257.277288593856), array(257.46214598975996, -0.18485739590397543, 257.277288593856), array(257.46214598975996, -0.18485739590397543, 257.277288593856), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.8318657815678), array(12, array(), array(), 0.19964598757621843, array(0.8572212471877119, 0.8572212471877119, 0.9967688920787346, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.09982549378816, array(array(257.277288593856, -0.11091443754241936, 257.16637415631357), array(257.277288593856, -0.11091443754241936, 257.16637415631357), array(257.277288593856, -0.11091443754241936, 257.16637415631357), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.4991224689409), array(13, array(), array(), 0.11978759254583338, array(0.8569994183126273, 0.8569994183126273, 0.9965109515263106, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0598962962729, array(array(257.16637415631357, -0.06654866252540614, 257.09982549378816), array(257.16637415631357, -0.06654866252540614, 257.09982549378816), array(257.16637415631357, -0.06654866252540614, 257.09982549378816), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.2994764813643), array(14, array(), array(), 0.07187255552764782, array(0.8568663209875764, 0.8568663209875764, 0.9963561871948562, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0359387777637, array(array(257.09982549378816, -0.03992919751522095, 257.05989629627294), array(257.09982549378816, -0.03992919751522095, 257.05989629627294), array(257.09982549378816, -0.03992919751527779, 257.0598962962729), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.1796888888186), array(15, array(), array(), 0.04312353331641816, array(0.8567864625925457, 0.8567864625925457, 0.9962633285959834, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.02156426665823, array(array(257.05989629627294, -0.023957518509234887, 257.0359387777637), array(257.05989629627294, -0.023957518509234887, 257.0359387777637), array(257.0598962962729, -0.023957518509178044, 257.0359387777637), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.107816333291), array(16, array(), array(), 0.025874119989850897, array(0.8567385475555275, 0.8567385475555275, 0.9962076134366599, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.01293955999495, array(array(257.0359387777637, -0.01437451110547272, 257.02156426665823), array(257.0359387777637, -0.01437451110547272, 257.02156426665823), array(257.0359387777637, -0.01437451110547272, 257.02156426665823), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0646927999749), array(17, array(), array(), 0.015524471994126543, array(0.8567097985333166, 0.8567097985333166, 0.9961741843410657, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00776473599694, array(array(257.02156426665823, -0.008624706663226789, 257.012939559995), array(257.02156426665823, -0.008624706663226789, 257.012939559995), array(257.02156426665823, -0.008624706663283632, 257.01293955999495), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0388186799848), array(18, array(), array(), 0.009314683196294027, array(0.8566925491199897, 0.8566925491199897, 0.9961541268837092, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00465984159814, array(array(257.012939559995, -0.005174823998117972, 257.0077647359969), array(257.012939559995, -0.005174823998117972, 257.0077647359969), array(257.01293955999495, -0.005174823998004285, 257.00776473599694), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0232942079908), array(19, array(), array(), 0.005588809917810522, array(0.8566821994719939, 0.8566821994719939, 0.9961420924092952, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00279690495887, array(array(257.0077647359969, -0.003104894398745728, 257.00465984159814), array(257.0077647359969, -0.003104894398745728, 257.00465984159814), array(257.00776473599694, -0.0031048943988025712, 257.00465984159814), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0139795247944), array(20, array(), array(), 0.0033532859508227375, array(0.8566759896831962, 0.8566759896831962, 0.9961348717246469, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00167914297526, array(array(257.00465984159814, -0.001862936639270174, 257.00279690495887), array(257.00465984159814, -0.001862936639270174, 257.00279690495887), array(257.00465984159814, -0.001862936639270174, 257.00279690495887), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0083907148764), array(21, array(), array(), 0.0020119715703117436, array(0.8566722638099176, 0.8566722638099176, 0.9961305393138578, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0010084857852, array(array(257.00279690495887, -0.0011177619836075792, 257.00167914297526), array(257.00279690495887, -0.0011177619836075792, 257.00167914297526), array(257.00279690495887, -0.0011177619835507357, 257.0016791429753), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0050374289258), array(22, array(), array(), 0.00120718294215294, array(0.8566700282859506, 0.8566700282859506, 0.9961279398673843, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0006060914711, array(array(257.00167914297526, -0.0006706571900849667, 257.0010084857852), array(257.00167914297526, -0.0006706571900849667, 257.0010084857852), array(257.0016791429753, -0.0006706571901418101, 257.0010084857852), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0030254573555), array(23, array(), array(), 0.0007243097653599762, array(0.8566686869715704, 0.8566686869715704, 0.9961263801995005, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0003646548827, array(array(257.0010084857852, -0.00040239431405098003, 257.0006060914711), array(257.0010084857852, -0.00040239431405098003, 257.0006060914711), array(257.0010084857852, -0.00040239431405098003, 257.0006060914711), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0018182744134), array(24, array(), array(), 0.00043458585918187964, array(0.8566678821829422, 0.8566678821829422, 0.99612544439877, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0002197929296, array(array(257.0006060914711, -0.00024143658845332538, 257.0003646548827), array(257.0006060914711, -0.00024143658845332538, 257.0003646548827), array(257.0006060914711, -0.00024143658845332538, 257.0003646548827), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0010939646481), array(25, array(), array(), 0.00026075151561144594, array(0.8566673993097653, 0.8566673993097653, 0.9961248829183319, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00013287575774, array(array(257.0003646548827, -0.00014486195306062655, 257.0002197929296), array(257.0003646548827, -0.00014486195306062655, 257.0002197929296), array(257.0003646548827, -0.00014486195306062655, 257.0002197929296), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0006593787887), array(26, array(), array(), 0.00015645090923044336, array(0.8566671095858591, 0.8566671095858591, 0.9961245460300688, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00008072545467, array(array(257.0002197929296, -8.691717187048198E-5, 257.00013287575774), array(257.0002197929296, -8.691717187048198E-5, 257.00013287575774), array(257.0002197929296, -8.691717187048198E-5, 257.00013287575774), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0003986272734), array(27, array(), array(), 9.387054564058417E-5, array(0.8566669357515155, 0.8566669357515155, 0.996124343897111, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000494352728, array(array(257.00013287575774, -5.215030307681445E-5, 257.00008072545467), array(257.00013287575774, -5.215030307681445E-5, 257.00008072545467), array(257.00013287575774, -5.215030307681445E-5, 257.00008072545467), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0002421763638), array(28, array(), array(), 5.632232722518893E-5, array(0.8566668314509093, 0.8566668314509093, 0.9961242226173362, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000306611637, array(array(257.00008072545467, -3.129018188019472E-5, 257.0000494352728), array(257.00008072545467, -3.129018188019472E-5, 257.0000494352728), array(257.00008072545467, -3.129018193703814E-5, 257.00004943527273), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0001483058184), array(29, array(), array(), 3.379339642606283E-5, array(0.8566667688705456, 0.8566667688705456, 0.9961241498494718, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00001939669824, array(array(257.0000494352728, -1.8774109094010782E-5, 257.0000306611637), array(257.0000494352728, -1.8774109094010782E-5, 257.0000306611637), array(257.00004943527273, -1.8774108980323945E-5, 257.00003066116375), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000091983491), array(30, array(), array(), 2.027603795795585E-5, array(0.8566667313223274, 0.8566667313223274, 0.9961241061887529, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000126380189, array(array(257.0000306611637, -1.126446545640647E-5, 257.00001939669824), array(257.0000306611637, -1.126446545640647E-5, 257.00001939669824), array(257.00003066116375, -1.1264465513249888E-5, 257.00001939669824), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000581900947), array(31, array(), array(), 1.2165622706561408E-5, array(0.8566667087933963, 0.8566667087933963, 0.9961240799923214, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000858281135, array(array(257.00001939669824, -6.758679319318617E-6, 257.0000126380189), array(257.00001939669824, -6.758679319318617E-6, 257.0000126380189), array(257.00001939669824, -6.758679319318617E-6, 257.0000126380189), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000379140567), array(32, array(), array(), 7.299373692148947E-6, array(0.8566666952760378, 0.8566666952760378, 0.9961240642744627, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000061496868, array(array(257.0000126380189, -4.0552075688538025E-6, 257.00000858281135), array(257.0000126380189, -4.0552075688538025E-6, 257.00000858281135), array(257.0000126380189, -4.0552075688538025E-6, 257.00000858281135), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000025748434), array(33, array(), array(), 4.379624044759112E-6, array(0.8566666871656226, 0.8566666871656226, 0.9961240548437472, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000046898121, array(array(257.00000858281135, -2.433124564049649E-6, 257.0000061496868), array(257.00000858281135, -2.433124564049649E-6, 257.0000061496868), array(257.00000858281135, -2.433124564049649E-6, 257.0000061496868), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000184490605), array(34, array(), array(), 2.6277743927494157E-6, array(0.8566666822993737, 0.8566666822993737, 0.9961240491853183, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000038138873, array(array(257.0000061496868, -1.4598746815863706E-6, 257.0000046898121), array(257.0000061496868, -1.4598746815863706E-6, 257.0000046898121), array(257.0000061496868, -1.4598746815863706E-6, 257.0000046898121), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000140694365), array(35, array(), array(), 1.576664658387017E-6, array(0.8566666793796244, 0.8566666793796244, 0.996124045790261, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000328833244, array(array(257.0000046898121, -8.759247975831386E-7, 257.0000038138873), array(257.0000046898121, -8.759247975831386E-7, 257.0000038138873), array(257.0000046898121, -8.759247407397197E-7, 257.00000381388736), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000011441662), array(36, array(), array(), 9.45998806400894E-7, array(0.8566666776277748, 0.8566666776277748, 0.9961240437532264, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000029729995, array(array(257.0000038138873, -5.255548671811994E-7, 257.00000328833244), array(257.0000038138873, -5.255548671811994E-7, 257.00000328833244), array(257.00000381388736, -5.255549808680371E-7, 257.0000032883324), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000098649973), array(37, array(), array(), 5.675993861586903E-7, array(0.856666676576665, 0.856666676576665, 0.9961240425310058, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000027837997, array(array(257.00000328833244, -3.1533295441477094E-7, 257.0000029729995), array(257.00000328833244, -3.1533295441477094E-7, 257.0000029729995), array(257.0000032883324, -3.153328975713521E-7, 257.0000029729995), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000089189984), array(38, array(), array(), 3.4055949527100893E-7, array(0.856666675945999, 0.856666675945999, 0.9961240417976732, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000267027986, array(array(257.0000029729995, -1.891997953862301E-7, 257.0000027837997), array(257.0000029729995, -1.891997953862301E-7, 257.0000027837997), array(257.0000029729995, -1.891997953862301E-7, 257.0000027837997), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000083513992), array(39, array(), array(), 2.0433583358681062E-7, array(0.8566666755675996, 0.8566666755675996, 0.996124041357674, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000026021679, array(array(257.0000027837997, -1.1351983175700298E-7, 257.00000267027986), array(257.0000027837997, -1.1351983175700298E-7, 257.00000267027986), array(257.0000027837997, -1.1351983175700298E-7, 257.00000267027986), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000080108396), array(40, array(), array(), 1.2260142057129997E-7, array(0.8566666753405597, 0.8566666753405597, 0.9961240410936743, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025613008, array(array(257.00000267027986, -6.811194452893687E-8, 257.0000026021679), array(257.00000267027986, -6.811194452893687E-8, 257.0000026021679), array(257.00000267027986, -6.811188768551801E-8, 257.00000260216797), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000078065038), array(41, array(), array(), 7.356095466093393E-8, array(0.856666675204336, 0.856666675204336, 0.9961240409352743, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000253678047, array(array(257.0000026021679, -4.0867121242627036E-8, 257.0000025613008), array(257.0000026021679, -4.0867121242627036E-8, 257.0000025613008), array(257.00000260216797, -4.0867178086045897E-8, 257.0000025613008), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000076839024), array(42, array(), array(), 4.413658416524413E-8, array(0.8566666751226016, 0.8566666751226016, 0.9961240408402342, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000252206826, array(array(257.0000025613008, -2.452031822031131E-8, 257.00000253678047), array(257.0000025613008, -2.452031822031131E-8, 257.00000253678047), array(257.0000025613008, -2.452037506373017E-8, 257.0000025367804), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000076103413), array(43, array(), array(), 2.6481984605197795E-8, array(0.8566666750735609, 0.8566666750735609, 0.9961240407832104, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000251324093, array(array(257.00000253678047, -1.471221366955433E-8, 257.00000252206826), array(257.00000253678047, -1.471221366955433E-8, 257.00000252206826), array(257.0000025367804, -1.471215682613547E-8, 257.00000252206826), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075662047), array(44, array(), array(), 1.5888986126810778E-8, array(0.8566666750441364, 0.8566666750441364, 0.9961240407489959, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025079446, array(array(257.00000252206826, -8.827328201732598E-9, 257.00000251324093), array(257.00000252206826, -8.827328201732598E-9, 257.00000251324093), array(257.00000252206826, -8.827328201732598E-9, 257.00000251324093), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000007539723), array(45, array(), array(), 9.533493994240416E-9, array(0.856666675026482, 0.856666675026482, 0.9961240407284674, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250476677, array(array(257.00000251324093, -5.296328708936926E-9, 257.0000025079446), array(257.00000251324093, -5.296328708936926E-9, 257.0000025079446), array(257.00000251324093, -5.296328708936926E-9, 257.0000025079446), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075238338), array(46, array(), array(), 5.719982709706528E-9, array(0.8566666750158891, 0.8566666750158891, 0.9961240407161503, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250286007, array(array(257.0000025079446, -3.177888174832333E-9, 257.0000025047667), array(257.0000025079446, -3.177888174832333E-9, 257.0000025047667), array(257.0000025079446, -3.177831331413472E-9, 257.00000250476677), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075143003), array(47, array(), array(), 3.4320919439778663E-9, array(0.8566666750095336, 0.8566666750095336, 0.99612404070876, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250171604, array(array(257.0000025047667, -1.9066419554292224E-9, 257.00000250286007), array(257.0000025047667, -1.9066419554292224E-9, 257.00000250286007), array(257.00000250476677, -1.9066987988480832E-9, 257.00000250286007), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075085802), array(48, array(), array(), 2.0593233784893528E-9, array(0.8566666750057201, 0.8566666750057201, 0.9961240407043258, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025010296, array(array(257.00000250286007, -1.1440306479926221E-9, 257.00000250171604), array(257.00000250286007, -1.1440306479926221E-9, 257.00000250171604), array(257.00000250286007, -1.1440306479926221E-9, 257.00000250171604), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000007505148), array(49, array(), array(), 1.235548552358523E-9, array(0.856666675003432, 0.856666675003432, 0.9961240407016653, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250061777, array(array(257.00000250171604, -6.864411261631176E-10, 257.0000025010296), array(257.00000250171604, -6.864411261631176E-10, 257.0000025010296), array(257.00000250171604, -6.863842827442568E-10, 257.00000250102966), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000007503089), array(50, array(), array(), 7.414655556203797E-10, array(0.8566666750020592, 0.8566666750020592, 0.9961240407000688, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025003706, array(array(257.0000025010296, -4.1183056964655407E-10, 257.00000250061777), array(257.0000025010296, -4.1183056964655407E-10, 257.00000250061777), array(257.00000250102966, -4.118874130654149E-10, 257.00000250061777), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075018531), array(51, array(), array(), 4.447997525858227E-10, array(0.8566666750012353, 0.8566666750012353, 0.9961240406991109, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025002223, array(array(257.00000250061777, -2.4721202862565406E-10, 257.00000250037056), array(257.00000250061777, -2.4721202862565406E-10, 257.00000250037056), array(257.00000250061777, -2.4715518520679325E-10, 257.0000025003706), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075011117), array(52, array(), array(), 2.667093212949112E-10, array(0.8566666750007411, 0.8566666750007411, 0.996124040698536, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025001334, array(array(257.00000250037056, -1.482476363889873E-10, 257.0000025002223), array(257.00000250037056, -1.482476363889873E-10, 257.0000025002223), array(257.0000025003706, -1.483044798078481E-10, 257.0000025002223), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000007500667), array(53, array(), array(), 1.6018475434975699E-10, array(0.8566666750004448, 0.8566666750004448, 0.9961240406981914, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250008003, array(array(257.0000025002223, -8.884626367944293E-11, 257.00000250013346), array(257.0000025002223, -8.884626367944293E-11, 257.00000250013346), array(257.0000025002223, -8.895995051716454E-11, 257.00000250013335), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075004002), array(54, array(), array(), 9.606537787476555E-11, array(0.8566666750002667, 0.8566666750002667, 0.9961240406979848, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.000002500048, array(array(257.00000250013346, -5.3432813729159534E-11, 257.00000250008003), array(257.00000250013346, -5.3432813729159534E-11, 257.00000250008003), array(257.00000250013335, -5.326228347257711E-11, 257.0000025000801), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075002401), array(55, array(), array(), 5.763922672485933E-11, array(0.85666667500016, 0.85666667500016, 0.9961240406978606, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025000288, array(array(257.00000250008003, -3.200284481863491E-11, 257.000002500048), array(257.00000250008003, -3.200284481863491E-11, 257.000002500048), array(257.0000025000801, -3.205968823749572E-11, 257.000002500048), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000007500144), array(56, array(), array(), 3.467448550509289E-11, array(0.856666675000096, 0.856666675000096, 0.9961240406977863, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025000173, array(array(257.000002500048, -1.921307557495311E-11, 257.0000025000288), array(257.000002500048, -1.921307557495311E-11, 257.0000025000288), array(257.000002500048, -1.91562321560923E-11, 257.00000250002887), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000864), array(57, array(), array(), 2.0691004465334117E-11, array(0.8566666750000574, 0.8566666750000574, 0.9961240406977413, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250001034, array(array(257.0000025000288, -1.1596057447604835E-11, 257.0000025000172), array(257.0000025000288, -1.1596057447604835E-11, 257.0000025000172), array(257.00000250002887, -1.1596057447604835E-11, 257.0000025000173), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000517), array(58, array(), array(), 1.233502189279534E-11, array(0.8566666750000346, 0.8566666750000346, 0.9961240406977143, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250000625, array(array(257.0000025000172, -6.821210263296962E-12, 257.0000025000104), array(257.0000025000172, -6.821210263296962E-12, 257.0000025000104), array(257.0000025000173, -6.991740519879386E-12, 257.0000025000103), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000312), array(59, array(), array(), 7.389644451905042E-12, array(0.8566666750000208, 0.8566666750000208, 0.9961240406976988, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025000038, array(array(257.0000025000104, -4.149569576838985E-12, 257.00000250000625), array(257.0000025000104, -4.149569576838985E-12, 257.00000250000625), array(257.0000025000103, -3.979039320256561E-12, 257.0000025000063), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000007500019), array(60, array(), array(), 4.604316927725449E-12, array(0.8566666750000126, 0.8566666750000126, 0.9961240406976892, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250000227, array(array(257.00000250000625, -2.4442670110147446E-12, 257.0000025000038), array(257.00000250000625, -2.4442670110147446E-12, 257.0000025000038), array(257.0000025000063, -2.5011104298755527E-12, 257.0000025000038), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000114), array(61, array(), array(), 2.7853275241795927E-12, array(0.8566666750000075, 0.8566666750000075, 0.9961240406976833, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250000136, array(array(257.0000025000038, -1.5347723092418164E-12, 257.00000250000227), array(257.0000025000038, -1.5347723092418164E-12, 257.00000250000227), array(257.0000025000038, -1.4779288903810084E-12, 257.0000025000023), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000069), array(62, array(), array(), 1.5347723092418164E-12, array(0.8566666750000044, 0.8566666750000044, 0.9961240406976796, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025000008, array(array(257.00000250000227, -9.663381206337363E-13, 257.0000025000013), array(257.00000250000227, -9.663381206337363E-13, 257.0000025000013), array(257.0000025000023, -1.0231815394945443E-12, 257.0000025000013), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.000007500004), array(63, array(), array(), 8.526512829121202E-13, array(0.8566666750000027, 0.8566666750000027, 0.9961240406976776, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025000005, array(array(257.0000025000013, -5.115907697472721E-13, 257.0000025000008), array(257.0000025000013, -5.115907697472721E-13, 257.0000025000008), array(257.0000025000013, -5.115907697472721E-13, 257.0000025000008), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000025), array(64, array(), array(), 5.115907697472721E-13, array(0.8566666750000017, 0.8566666750000017, 0.9961240406976765, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.00000250000033, array(array(257.0000025000008, -2.8421709430404007E-13, 257.0000025000005), array(257.0000025000008, -2.8421709430404007E-13, 257.0000025000005), array(257.0000025000008, -2.8421709430404007E-13, 257.0000025000005), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000016), array(65, array(), array(), 3.410605131648481E-13, array(0.8566666750000012, 0.8566666750000012, 0.9961240406976758, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025000002, array(array(257.0000025000005, -1.7053025658242404E-13, 257.00000250000033), array(257.0000025000005, -1.7053025658242404E-13, 257.00000250000033), array(257.0000025000005, -1.7053025658242404E-13, 257.00000250000033), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000012), array(66, array(), array(987, 988), 3.410605131648481E-13, array(0.8566666750000008, 0.8566666750000008, 0.9961240406976754, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0), 257.0000025000001, array(array(257.00000250000033, -1.1368683772161603E-13, 257.0000025000002), array(257.00000250000033, -1.1368683772161603E-13, 257.0000025000002), array(257.00000250000033, -1.1368683772161603E-13, 257.0000025000002), array(257, 0, 257), array(257, 0, 257), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0), array(0, 0, 0)), 1285.0000075000005))))
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
     0 => Array (
         0 => 1002
         1 => 1003
-        2 => 996
-        3 => 1001
-        4 => 1000
-        5 => 999
-        6 => 998
-        7 => 997
-        8 => 994
-        9 => 995
-        10 => 993
-        11 => 992
-        12 => 991
-        13 => 990
-        14 => 989
+        2 => 989
+        3 => 990
+        4 => 991
+        5 => 992
+        6 => 993
+        7 => 994
+        8 => 995
+        9 => 996
+        10 => 997
+        11 => 998
+        12 => 999
+        13 => 1000
+        14 => 1001
         15 => 987
         16 => 988
     )
@@ @@
             'round' => 3
             'elected' => Array ()
             'eliminated' => Array (
-                0 => 996
-                1 => 1001
-                2 => 1000
-                3 => 999
-                4 => 998
-                5 => 997
-                6 => 994
-                7 => 995
-                8 => 993
-                9 => 992
-                10 => 991
-                11 => 990
-                12 => 989
+                0 => 989
+                1 => 990
+                2 => 991
+                3 => 992
+                4 => 993
+                5 => 994
+                6 => 995
+                7 => 996
+                8 => 997
+                9 => 998
+                10 => 999
+                11 => 1000
+                12 => 1001
             )
             'surplus' => 0
             'keepFactors' => Array (...)

/workspace/src/tests/phpunit/MediaWikiTestCaseTrait.php:229
/workspace/src/extensions/SecurePoll/tests/phpunit/unit/STVTallierTest.php:144
/workspace/src/tests/phpunit/MediaWikiUnitTestCase.php:116

Event Timeline

Reedy triaged this task as High priority.Dec 6 2022, 3:15 PM
Reedy subscribed.

Blocks merges of any patches to SecurePoll...

Change 865091 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/SecurePoll@master] STVTallierTest: Skip testFinishTally on PHP >= 8.0

https://gerrit.wikimedia.org/r/865091

Change 865091 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@master] STVTallierTest: Skip testFinishTally on PHP >= 8.0

https://gerrit.wikimedia.org/r/865091

Change 864920 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/SecurePoll@wmf/1.40.0-wmf.12] STVTallierTest: Skip testFinishTally on PHP >= 8.0

https://gerrit.wikimedia.org/r/864920

Change 864920 abandoned by Reedy:

[mediawiki/extensions/SecurePoll@wmf/1.40.0-wmf.12] STVTallierTest: Skip testFinishTally on PHP >= 8.0

Reason:

yup!

https://gerrit.wikimedia.org/r/864920

Reedy renamed this task from phpunit test failure in SecurePoll under php80 and php81 for STVTallierTest::testFinishTally to PHPUnit test failure in SecurePoll STVTallierTest::testFinishTally under PHP 8.0 and later.Jan 10 2023, 1:28 AM
Reedy renamed this task from PHPUnit test failure in SecurePoll STVTallierTest::testFinishTally under PHP 8.0 and later to STVTallierTest::testFinishTally() fails under PHP 8.0 and later.Jan 10 2023, 1:30 AM

Change 889247 had a related patch set uploaded (by Umherirrender; author: Umherirrender):

[mediawiki/extensions/SecurePoll@master] Sort STVTallier ranking for candidate ids order within same totals

https://gerrit.wikimedia.org/r/889247

Change 889247 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@master] Sort STVTallier ranking for candidate ids order within same totals

https://gerrit.wikimedia.org/r/889247

Change 900562 had a related patch set uploaded (by Reedy; author: Umherirrender):

[mediawiki/extensions/SecurePoll@REL1_40] Sort STVTallier ranking for candidate ids order within same totals

https://gerrit.wikimedia.org/r/900562

Change 900563 had a related patch set uploaded (by Reedy; author: Umherirrender):

[mediawiki/extensions/SecurePoll@REL1_39] Sort STVTallier ranking for candidate ids order within same totals

https://gerrit.wikimedia.org/r/900563

Change 900564 had a related patch set uploaded (by Reedy; author: Umherirrender):

[mediawiki/extensions/SecurePoll@REL1_38] Sort STVTallier ranking for candidate ids order within same totals

https://gerrit.wikimedia.org/r/900564

Change 900562 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@REL1_40] Sort STVTallier ranking for candidate ids order within same totals

https://gerrit.wikimedia.org/r/900562

Change 900564 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@REL1_38] Sort STVTallier ranking for candidate ids order within same totals

https://gerrit.wikimedia.org/r/900564

Change 900563 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@REL1_39] Sort STVTallier ranking for candidate ids order within same totals

https://gerrit.wikimedia.org/r/900563